summaryrefslogtreecommitdiffstats
path: root/testing/tvheadend/tvheadend-git.initd
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2011-11-13 15:41:59 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2011-11-13 15:41:59 +0000
commit4d635451b88a543ece4720f39ed41289df63d9af (patch)
tree37237d385b5bcf17c4e084a7317d161fe73ce891 /testing/tvheadend/tvheadend-git.initd
parent246c4ebdcaefe694bc995d2d7c68c0987a3a4a83 (diff)
downloadaports-4d635451b88a543ece4720f39ed41289df63d9af.tar.bz2
aports-4d635451b88a543ece4720f39ed41289df63d9af.tar.xz
testing/tvheadend: new aport
Diffstat (limited to 'testing/tvheadend/tvheadend-git.initd')
-rw-r--r--testing/tvheadend/tvheadend-git.initd18
1 files changed, 18 insertions, 0 deletions
diff --git a/testing/tvheadend/tvheadend-git.initd b/testing/tvheadend/tvheadend-git.initd
new file mode 100644
index 000000000..6a50b9f3f
--- /dev/null
+++ b/testing/tvheadend/tvheadend-git.initd
@@ -0,0 +1,18 @@
+#!/sbin/runscript
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting tvheadend"
+ start-stop-daemon --start \
+ --user ${TVHUSER} \
+ --exec ${TVHBIN} -- -C -f
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping tvheadend"
+ start-stop-daemon --stop --quiet --name tvheadend --signal 2
+ eend $?
+}